import type { OutputLanguage } from './languages';
type AggregationExpression = {
    aggregation: string;
};
type QueryExpression = {
    filter: string;
    project?: string;
    sort?: string;
    collation?: string;
    skip?: string;
    limit?: string;
    maxTimeMS?: string;
};
export type InputExpression = AggregationExpression | QueryExpression;
export declare function getInputExpressionMode(inputExpression: InputExpression): 'Query' | 'Pipeline';
type RunTranspilerOptions = {
    inputExpression: InputExpression;
    outputLanguage: OutputLanguage;
    includeImports: boolean;
    includeDrivers: boolean;
    useBuilders: boolean;
    uri: string;
    namespace: string;
};
export declare function runTranspiler({ inputExpression, outputLanguage, includeImports, includeDrivers, useBuilders, uri, namespace, }: RunTranspilerOptions): string;
export {};
//# sourceMappingURL=transpiler.d.ts.map